package com.hw.common.core.constant;

/**
 * @Description:生产部分常量定义
 * @ProjectName:HwMes
 * @Author:xins
 * @Date:2024-01-26 11:02
 * @Version:1.0
 */
public class QmsConstants {

    /*检验规则明细目标类型*/
    public static final String QMS_CHECK_RULE_DETAIL_TARGET_TYPE_MATERIAL = "1";//物料


    /*检验项目项目属性*/
    public static final String QMS_CHECK_PROJECT_PROPERTY_QUALITATIVE = "1";//定性
    public static final String QMS_CHECK_PROJECT_PROPERTY_QUANTIFY = "2";//定量；

    /*检验方式*/
    public static final String QMS_CHECK_MODE = "1";//全检


    /*质检结果和质检结果详情检验状态*/
    public static final String QMS_CHECK_RESULT_CHECK_STATUS_TO_CHECK="0";//待检验
    public static final String QMS_CHECK_RESULT_CHECK_STATUS_CHECKED="1";//检验中
    public static final String QMS_CHECK_RESULT_CHECK_STATUS_PASS="2";//质检通过
    public static final String QMS_CHECK_RESULT_CHECK_STATUS_FAIL="3";//质检不通过



    /**质检结果详情项目信息检验结果*/
    public static final String QMS_CHECK_PROJECT_STATUS_PASS = "1";//合格
    public static final String QMS_CHECK_PROJECT_STATUS_FAIL = "0";//不合格


    /**质检工单实例节点处理状态*/
    public static final String QMS_PROCESS_HANDLE_STATUS_FINISHED = "0";//已结束
    public static final String QMS_PROCESS_HANDLE_STATUS_EXECUTING = "1";//执行中

}
