package com.hw.common.core.constant;

/**
 * @Description:工单常量定义
 * @ProjectName:HwMes
 * @Author:xins
 * @Date:2024-03-11 10:42
 * @Version:1.0
 */
public class WfConstants {

    public static final Long WF_BILLS_FAULT_INSTANCE_PROCESS_ID = 102L;//故障报修工单流程ID

    public static final Long WF_BILLS_FAULT_INSTANCE_PROCESS_ACTIVITY_FIRST_ID = 1021L;//故障报修工单流程节点第一步ID
    public static final Long WF_BILLS_FAULT_INSTANCE_PROCESS_ACTIVITY_SECOND_ID = 1022L;//故障报修工单流程节点第二步ID


    public static final Long WF_QUALITY_ABNORMAL_PROCESS_ID = 301L;//不合格处置工单流程ID

    /**质检工单实例状态*/
    public static final String WF_INSTANCE_STATUS_TO_START = "0";//未启动
    public static final String WF_INSTANCE_STATUS_START = "1";//已启动
    public static final String WF_INSTANCE_STATUS_FINISH = "3";//已结束

    /**质检工单实例节点状态*/
    public static final String WF_PROCESS_HANDLE_STATUS_FINISH = "0";//已结束


    /**质检文件关联类型*/
    public static final String QMS_FILE_TARGET_TYPE_QUALITY_INSTANCE_ACTIVITY = "1";//质检工单实例节点
}
