package com.hw.common.log.enums;

/**
 * 业务操作类型
 *
 * @author ruoyi
 */
public enum BusinessType
{
    /**
     * 其它
     */
    OTHER,

    /**
     * 新增
     */
    INSERT,

    /**
     * 修改
     */
    UPDATE,

    /**
     * 删除
     */
    DELETE,

    /**
     * 授权
     */
    GRANT,

    /**
     * 导出
     */
    EXPORT,

    /**
     * 导入
     */
    IMPORT,

    /**
     * 强退
     */
    FORCE,

    /**
     * 生成代码
     */
    GENCODE,

    /**
     * 清空数据
     */
    CLEAN,

    /**
     * 审核
     */
    AUDIT,

    /**
     * 确认
     */
    CONFIRM,

    /**
     * 申请
     */
    APPLY,

    /**
     * 锁定
     */
    LOCK,

    /**
     * 解锁
     */
    UNLOCK,

    /**
     * 分配
     */
    ALLOCATE,

    /**
     * 取消分配
     */
    UNALLOCATE,

    /**
     * 转库
     */
    TRANSFER,


    /**
     * 开始
     */
    START,

    /**
     * 完成
     */
    COMPLETE,


    /**
     * 出库
     */
    OUTSTOCK,

    /**
     * 入库
     */
    INSTOCK,

}
