package com.hw.dms.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description: 故障报修扫描设备验证VO对象
 * @ClassName: DmsBillsFaultInstanceScanVo
 * @Author  : xins
 * @Date    :2024-03-20  10:44
 * @Version :1.0
 */
@Data
public class DmsBillsFaultInstanceScanVo {

    @NotNull(message="故障报修工单ID必须输入")
    private Long repairInstanceId;

    /** 设备编号 */
    @NotBlank(message="设备编号必须输入")
    private String deviceCode;
}
