package com.hw.qms.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 质检工单实例节点对象 qms_quality_instance_activity
 *
 * @author xins
 * @date 2024-01-23
 */
@Data
public class QmsQualityInstanceActivityVo extends BaseEntity
{
    @NotNull(message="质检结果ID必须输入")
    private Long checkResultId;

    @NotNull(message="质检流程步骤ID必须输入")
    private Long processActivityId;

    @NotNull(message="质检流程步骤顺序必须输入")
    private Long processStepOrder;

    @NotBlank(message="处理意见必须输入")
    /** 处理意见 */
    private String processHandleResolution;


}
