package com.hw.wms.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 进行盘点VO对象
 * @ClassName: WmsInventoryCheckVo
 * @Author  : xins
 * @Date    :2024-03-29  11:27
 * @Version :1.0
 */
@Data
public class WmsInventoryCheckVo {

    //仓库ID
    @NotNull(message="warehouseId必须输入")
    private Long warehouseId;

    @NotEmpty(message="库位编码必须输入")
    private List<String> locationCodes;

    private Long inventoryCheckId;
}
