package com.hw.wms.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description: 原材料出库审核VO
 * @ClassName: WmsRawOutstockAuditVo
 * @Author : xins
 * @Date :2023-12-21  16:33
 * @Version :1.0
 */
@Data
public class WmsRawOutstockAuditVo {

    //原材料出库记录ID
//    @NotNull(message = "原材料出库记录ID必须输入")
//    private Long rawOutstockId;

    //审核状态
    @NotBlank(message = "任务编号必须输入")
    private String taskCode;

    //审核状态
    @NotBlank(message = "审核状态必须输入")
    private String auditStatus;

    //审核意见
    private String auditReason;
}
