package com.hw.system.api.domain.common.vo;

import com.hw.common.core.web.domain.BaseEntity;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Description: 工单流程节点步骤对象 wf_process_activity vo 对象
 * @ClassName: WfProcessActivityVo
 * @Author  : xins
 * @Date    :2024-03-11  11:27
 * @Version :1.0
 */
@Data
public class WfProcessActivityVo extends BaseEntity
{

    @NotNull(message="流程ID必须输入")
    private Long wfProcessId;

    @NotNull(message="顺序必须输入")
    private Long processActivityOrder;


}
