package com.hw.common.core.constant;

/**
 * @Description: 设备管理常量定义
 * @ClassName: DmsConstants
 * @Author  : xins
 * @Date    :2024-03-13  17:26
 * @Version :1.0
 */
public class DmsConstants {


    /**故障报修工单状态*/
    public static final String DMS_BILLS_FAULT_INSTANCE_STATUS_TO_REPAIR = "0";//待维修
    public static final String DMS_BILLS_FAULT_INSTANCE_STATUS_REPAIRING = "1";//维修中
    public static final String DMS_BILLS_FAULT_INSTANCE_STATUS_FINISH = "2";//维修完成

    /**故障报修工单实例状态*/
    public static final String DMS_BILLS_FAULT_INSTANCE_ACTIVITY_HANDLE_STATUS_FINISH = "0";//已结束
    public static final String DMS_BILLS_FAULT_INSTANCE_ACTIVITY_HANDLE_STATUS_EXECUTING = "1";//执行中
    public static final String DMS_BILLS_FAULT_INSTANCE_ACTIVITY_HANDLE_STATUS_TO_PICK = "2";//待接取


    /**故障报修工单类型*/
    public static final String DMS_BILLS_FAULT_INSTANCE_TYPE_MAUAL = "1";//手工创建


    /**点巡检工单巡检状态*/
    public static final String DMS_BILLS_INSPECT_INSTANCE_INSPECT_STATUS_TO_INSPECT="1";//待巡检
    public static final String DMS_BILLS_INSPECT_INSTANCE_INSPECT_STATUS_INSPECTING="2";//巡检中
    public static final String DMS_BILLS_INSPECT_INSTANCE_INSPECT_STATUS_FINISH="3";//巡检完成

    /**点巡检项目属性*/
    public static final String DMS_INSPECT_INSTANCE_PROJECT_PROPERTY_QUALITATIVE = "1";//定性



    /**点巡检工单明细状态*/
    public static final String DMS_INSPECT_INSTANCE_DETAIL_STATUS_TO_INSPECT = "1";//待巡检
    public static final String DMS_INSPECT_INSTANCE_DETAIL_STATUS_INSPECTING = "2";//巡检中
    public static final String DMS_INSPECT_INSTANCE_DETAIL_STATUS_FINISH = "3";//巡检完成

    /**点巡检工单明细检验状态*/
    public static final String DMS_INSPECT_INSTANCE_DETAIL_INSPECT_STATUS_PASS = "1";//正常
    public static final String DMS_INSPECT_INSTANCE_DETAIL_INSPECT_STATUS_FAIL = "0";//异常


    /**点巡检工单明细项目信息检验状态*/
    public static final String DMS_INSPECT_INSTANCE_DETAIL_PROJECT_STATUS_PASS = "1";//正常
    public static final String DMS_INSPECT_INSTANCE_DETAIL_PROJECT_STATUS_FAIL = "0";//异常


    /**外协信息状态*/
    public static final Long DMS_BASE_OUTSRC_INFO_STATUS_NROMAL = 1L;//启用


    /**工单文件关联类型*/
    public static final String DMS_INSTANCE_FILE_TARGET_TYPE_FAULT_INSTANCE_ACTIVITY = "1";//故障报修工单实例节点




    /**保养工单保养状态*/
    public static final Long DMS_BILLS_MAINT_INSTANCE_STATUS_TO_MAINT=1L;//待保养
    public static final Long DMS_BILLS_MAINT_INSTANCE_STATUS_MAINTING=2L;//保养中
    public static final Long DMS_BILLS_MAINT_INSTANCE_STATUS_COMPLETE=3L;//保养完成


    /**润滑工单润滑状态*/
    public static final String DMS_BILLS_LUBE_INSTANCE_STATUS_TO_LUBE="1";//待润滑
    public static final String DMS_BILLS_LUBE_INSTANCE_STATUS_LUBING="2";//润滑中
    public static final String DMS_BILLS_LUBE_INSTANCE_STATUS_COMPLETE="3";//润滑完成

}
