package com.hw.dms.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:点巡检任务扫描设备验证VO对象
 * @ProjectName:HwMes
 * @Author:xins
 * @Date:2024-03-19 14:43
 * @Version:1.0
 */
@Data
public class DmsBillsInspectInstanceScanVo {

    @NotNull(message="点巡检工单ID必须输入")
    private Long inspectInstanceId;

    /** 设备编号 */
    @NotBlank(message="设备编号必须输入")
    private String deviceCode;
}
