package com.hw.job.task;

import com.hw.common.core.constant.SecurityConstants;
import com.hw.dms.api.RemoteDmsService;
import com.hw.ems.api.RemoteEmsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import com.hw.common.core.utils.StringUtils;

/**
 * 定时任务调度测试
 *
 * @author ruoyi
 */
@Component("ryTask")
public class RyTask
{
    @Autowired
    private RemoteEmsService remoteEmsService;
    @Autowired
    private RemoteDmsService remoteDmsService;
    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params)
    {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams()
    {
        System.out.println("执行无参方法");
    }
    public void deviceOfflineTimingTask(){
        System.out.println("++设备离线告警+开始++deviceOfflineTimingTask+++++");
        remoteEmsService.deviceOfflineTimingTask(SecurityConstants.INNER);
    }

    public void thresholdTimingTask(){
        System.out.println("++计量设备阈值告警+开始++thresholdTimingTask+++++");
        remoteEmsService.thresholdTimingTask(SecurityConstants.INNER);
    }

    public void getDnbInstantByJob(){
        System.out.println("++电整点数据获取+开始++getDnbInstantByJob+++++");
        remoteEmsService.getDnbInstantByJob(SecurityConstants.INNER);

    }
    public void getDmsRepairInstance(String planRepairId){
        System.out.println("++创建检修工单++getDmsRepairInstance");
        remoteDmsService.getDmsRepairInstance(SecurityConstants.INNER, planRepairId);
    }
    public void getDmsBillsInstance(String dmsBillsInstanceId){
        System.out.println("++创建巡检工单++getDmsRepairInstance");
        remoteDmsService.getDmsBillsInstance(SecurityConstants.INNER, dmsBillsInstanceId);
    }
    public void getDmsBillsLube(String planInspectId){
        System.out.println("++创建润滑工单++getDmsRepairInstance");
        remoteDmsService.getDmsBillsLube(SecurityConstants.INNER, planInspectId);
    }
    public void getDmsBillsMaint(String dmsBillsMaintId){
        System.out.println("++创建保养工单++getDmsMaintInstance");
        remoteDmsService.getDmsBillsMaintInstance(SecurityConstants.INNER,dmsBillsMaintId);

    }

}
