package com.hw.mes.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Description: 生产计划明细VO对象4完成使用(with attach图纸)
 * @ClassName: MesProductPlanDetailAttachVo
 * @Author  : xins
 * @Date    :2024-03-08  15:51
 * @Version :1.0
 */
@Data
public class MesProductPlanDetailCompleteAttachVo {

    //生产计划明细ID
    @NotNull(message = "生产计划明细ID必须输入")
    private Long planDetailId;

    //生产计划ID
    @NotNull(message = "图纸ID必须输入")
    private Long attachId;

}
