package com.hw.wms.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @Description: 原材料AGV出库VO
 * @ClassName: WmsAgvRawOutstockVo
 * @Author : xins
 * @Date :2023-12-22  16:56
 * @Version :1.0
 */
@Data
public class WmsAgvRawOutstockVo {

    //仓库ID
    @NotNull(message = "仓库ID必须输入")
    private Long warehouseId;

    //成品批次
    @NotNull(message = "物料ID必须输入")
    private Long materialId;

    //成品批次
    @NotBlank(message = "生产计划编号必须输入")
    private String planCode;

}
