package com.hw.wms.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 盘点记录明细确认VO对象
 * @ClassName: WmsInventoryCheckDetailVo
 * @Author  : xins
 * @Date    :2024-04-01  9:51
 * @Version :1.0
 */
@Data
public class WmsInventoryCheckDetailVo {

    //盘点记录明细ID
    @NotNull(message="inventoryCheckDetailId")
    private Long inventoryCheckDetailId;

    //实际盘点数量
    @NotNull(message = "实际盘点数量必须输入")
    private BigDecimal realAmount;
}
