package com.hw.wms.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Description: 申请移库合库VO对象
 * @ClassName: WmsMoveApplyVo
 * @Author  : xins
 * @Date    :2024-03-28  14:51
 * @Version :1.0
 */
@Data
public class WmsMoveApplyVo {

//    //仓库ID
//    @NotNull(message="warehouseId必须输入")
//    private Long warehouseId;

    @NotBlank(message="原库位编码必须输入")
    private String oriLocationCode;

    @NotBlank(message="目标库位编码必须输入")
    private String targetLocationCode;

    @NotBlank(message="类型（1移库，2合库）必须输入")
    private String moveType;

}
