package com.hw.wms.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Description: 更新入库记录VO
 * @ClassName: WmsRawInstockVo
 * @Author  : xins
 * @Date    :2023-12-20  17:12
 * @Version :1.0
 */
@Data
public class WmsProductInstockVo {

    //成品条码
    @NotBlank(message="成品条码必须输入")
    private String materialBarcode;

//    //成品批次
//    //@NotBlank(message="成品批次必须输入")
//    private String productBatch;
//
//    //成品批次
//    //@NotNull(message="成品ID必须输入")
//    private Long productId;
//
//    //生产计划ID
//    //@NotBlank(message="生产计划编号必须输入")
//    private String planCode;
//
//    //生产计划明细编号
//    private String planDetailCode;
    //库位编码
    @NotBlank(message="库位编码必须输入")
    private String locationCode;


}
