package com.hw.wms.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 适合成品出库后，运输到指定地点最终确认的VO对象
 * @ClassName: WmsProductOutstockConfirmVo
 * @Author  : xins
 * @Date    :2024-03-18  15:21
 * @Version :1.0
 */
@Data
public class WmsProductOutstockConfirmVo {

    //成品条码
    @NotBlank(message="成品条码必须输入")
    private String materialBarcode;

    @NotBlank(message="销售订单号码必须输入")
    private String saleorderCode;


}
