package com.hw.wms.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description: 原材料退库审核VO
 * @ClassName: WmsRawReturnAuditVo
 * @Author  : xins
 * @Date    :2023-12-22  16:32
 * @Version :1.0
 */
@Data
public class WmsRawReturnAuditVo {

    //原材料退库记录ID
    @NotNull(message = "原材料退库记录ID必须输入")
    private Long rawReturnId;

    //审核状态
    @NotBlank(message = "审核状态必须输入")
    private String auditStatus;

    //审核意见
    private String auditReason;
}
