package com.hw.wms.service;

import com.hw.wms.domain.WmsTransfer;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;

/**
 * @Description: 用来循环内执行事务的服务接口
 * @ClassName: IWmsTransactionalService
 * @Author  : xins
 * @Date    :2024-01-15  10:29
 * @Version :1.0
 */
public interface IWmsTransactionalService {

    /**
     * @Description: 申请转库（适合五楼半成品出半成品库入成品库）
     * @ClassName: WmsTransactionalServiceImpl
     * @Author  : xins
     * @Date    :2024-01-15  10:37
     * @Version :1.0
     */
    public void applyTransfer(WmsTransfer wmsTransfer, String userName, Date currentDate);
}
